Subject: bug#41766: Make it possible to change regexp to identify and highlight grep matches via customization

From: Simon Lang <[email-masked]>
Date: Wed, 10 Jun 2020 21:11:09 +0000

Hi,

I now something to the manual, NEWS and changed the doc string + commit msg as advised. I decided on defcustom in the end because this way it is easy for the user to figure out what goes wrong in case he/she modifies grep-command and highlighting is missing. Hope that is fine.

Pls let me know if there is anything else I need to change.

Thanks!

________________________________________
From: Eli Zaretskii <[email-masked]>
Sent: 09 June 2020 15:43
To: Basil L. Contovounesios
Cc: [email-masked]; [email-masked]; [email-masked]; [email-masked]
Subject: Re: bug#41766: Make it possible to change regexp to identify and highlight grep matches via customization

> From: "Basil L. Contovounesios" <[email-masked]>
> Date: Tue, 09 Jun 2020 12:55:25 +0100
> Cc: "[email-masked]" <[email-masked]>,
>  Dmitry Gutov <[email-masked]>, Juri Linkov <[email-masked]>
>
> I wonder, though: the default value matches some quite obscure codes
> which aren't (and maybe shouldn't be) documented, so is a defcustom
> really suitable for this?

They are SGR escape sequences that Grep emits to color its output.  We
should probably mention that in the doc string.